package protocol

// 消息实体
type Entity interface {
	//GetDeviceAddress() DeviceAddress
	MsgID() MsgID
	Encode(ctx *PacketContext) ([]byte, error)
	Decode(ctx *PacketContext, dataByte []byte) (data Data, err error)
}
